<?php

declare(strict_types=1);

namespace App\Framework\Database\Driver;

interface Driver
{
    public string $dsn {get;}

    public array $options {get;}

    public DriverConfig $config {get;}

    public function __construct(
        DriverConfig $config
    );
}
